<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderODSP_WFExpViewBase from './ibizorder-odsp-wfexp-view-base.vue';

import view_expbar from '@widgets/ibizorder/odsp-wfexp-viewexpbar-wfexpbar/odsp-wfexp-viewexpbar-wfexpbar.vue';
@Component({
    components: {
        view_expbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderODSP_WFExpView extends IBIZOrderODSP_WFExpViewBase {

}
</script>